i2p.susi.dns

## Class SubscriptionsBean

- java.lang.Object
- - i2p.susi.dns.BaseBean
  - - i2p.susi.dns.SubscriptionsBean

-     public class SubscriptionsBean
      extends BaseBean

  Bean for managing address book subscription sources and updates.

- - ### Field Summary

    - ### Fields inherited from class i2p.susi.dns.BaseBean

      `_context, action, lastSerial, method, PROP_PW_ENABLE, properties, serial`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionsBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContent()` Get the current subscriptions content.
    `String` | `getFileName()` Get the subscriptions file path.
    `String` | `getMessages()`
    `void` | `setContent(String content)` Set the subscriptions content.

    - ### Methods inherited from class i2p.susi.dns.BaseBean

      `_t, _t, _t, addressbookDir, configFile, debug, getAction, getSerial, getTheme, getThemeName, getThemes, isOverrideCssActive, loadConfig, ngettext, reload, setAction, setSerial, storeMethod, useSoraFont, warn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubscriptionsBean

          public SubscriptionsBean()

  - ### Method Detail

    - #### getContent

          public String getContent()

      Get the current subscriptions content.
      Returns:
        the subscriptions content, or default subscriptions if file doesn't exist

    - #### getFileName

          public String getFileName()

      Get the subscriptions file path.
      Returns:
        the absolute path to the subscriptions file

    - #### getMessages

          public String getMessages()

    - #### setContent

          public void setContent(String content)

      Set the subscriptions content.
      Parameters:
        `content` - the new subscriptions content